class

  PageProfile

brief

  1 ページに関するプロファイルクラス framework が使用する 本クラスでは直接 DOM を操作してはいけない

### Hierarchy

- PageProfile

## Index

### Properties

- _height
- _index
- _lines
- _offset
- _status

### Accessors

- height
- index
- offset
- status

### Methods

- activate
- getLineProfile
- getLineProfileFirst
- getLineProfileLast
- hide
- inactivate
- normalize
- push

## Properties

### Private _height

_height: number = 0

- Defined in CDP/UI/listview/PageProfile.ts:14

### Private _index

_index: number = 0

- Defined in CDP/UI/listview/PageProfile.ts:12

### Private _lines

_lines: LineProfile[] = []

- Defined in CDP/UI/listview/PageProfile.ts:15

### Private _offset

_offset: number = 0

- Defined in CDP/UI/listview/PageProfile.ts:13

### Private _status

_status: string = "inactive"

- Defined in CDP/UI/listview/PageProfile.ts:16

## Accessors

### height

- get height(): number

- - Defined in CDP/UI/listview/PageProfile.ts:110

  #### Returns number

### index

- get index(): number
- set index(index: number): void

- - Defined in CDP/UI/listview/PageProfile.ts:90

  #### Returns number

- - Defined in CDP/UI/listview/PageProfile.ts:95

  #### Parameters

  - ##### index: number

  #### Returns void

### offset

- get offset(): number
- set offset(offset: number): void

- - Defined in CDP/UI/listview/PageProfile.ts:100

  #### Returns number

- - Defined in CDP/UI/listview/PageProfile.ts:105

  #### Parameters

  - ##### offset: number

  #### Returns void

### status

- get status(): string

- - Defined in CDP/UI/listview/PageProfile.ts:115

  #### Returns string

## Methods

### activate

- activate(): void

- - Defined in CDP/UI/listview/PageProfile.ts:22

  #### Returns void

### getLineProfile

- getLineProfile(index: number): LineProfile

- - Defined in CDP/UI/listview/PageProfile.ts:68

  #### Parameters

  - ##### index: number

  #### Returns LineProfile

### getLineProfileFirst

- getLineProfileFirst(): LineProfile

- - Defined in CDP/UI/listview/PageProfile.ts:77

  #### Returns LineProfile

### getLineProfileLast

- getLineProfileLast(): LineProfile

- - Defined in CDP/UI/listview/PageProfile.ts:82

  #### Returns LineProfile

### hide

- hide(): void

- - Defined in CDP/UI/listview/PageProfile.ts:32

  #### Returns void

### inactivate

- inactivate(): void

- - Defined in CDP/UI/listview/PageProfile.ts:42

  #### Returns void

### normalize

- normalize(): void

- - Defined in CDP/UI/listview/PageProfile.ts:58

  #### Returns void

### push

- push(line: LineProfile): void

- - Defined in CDP/UI/listview/PageProfile.ts:52

  #### Parameters

  - ##### line: LineProfile

  #### Returns void

Generated using TypeDoc